Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface UserEditorMBean

All Known Subinterfaces:
  DefaultAuthenticatorMBean

public interface UserEditorMBean
extends weblogic.management.commo.StandardInterface, UserReaderMBean, UserPasswordEditorMBean, UserRemoverMBean

Provides a set of methods for creating, editing, and removing users. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a GUI for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `createUser(java.lang.String userName, java.lang.String password, java.lang.String description)` Creates a user and sets the user's password.
`void` | `setUserDescription(java.lang.String userName, java.lang.String description)` Sets the description for an existing user.

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.UserRemoverMBean
`removeUser`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### createUser

    public void createUser(java.lang.String userName,
                           java.lang.String password,
                           java.lang.String description)
                    throws InvalidParameterException,
                           AlreadyExistsException

  Creates a user and sets the user's password.

  Parameters:
    `userName` - - The name of the new user. The name cannot be the name of an existing user or group. The Authentication provider determines syntax requirements for the user name.
    `password` - - The password for the new user. The Authentication provider determines syntax requirements for passwords.
    `description` - - The description of the user.
  Throws:
    InvalidParameterException -
    AlreadyExistsException -

### setUserDescription

    public void setUserDescription(java.lang.String userName,
                                   java.lang.String description)
                            throws NotFoundException,
                                   InvalidParameterException

  Sets the description for an existing user.

  Parameters:
    `userName` - - The name of an existing user.
    `description` - - The description of the user.
  Throws:
    NotFoundException -
    InvalidParameterException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD